Name:		qubes-core-admin-client
Version:    4.1.8
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
BuildRequires:	python%{python3_pkgversion}-lxml
BuildRequires:	python%{python3_pkgversion}-xcffib
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
Requires:   scrypt
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz
Conflicts:  qubes-core-agent < 4.1.9
# qubes-guid -C option
Conflicts:  qubes-gui-daemon < 4.1.7

%description
This package include managemt tools, like qvm-*.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
Requires:   python%{python3_pkgversion}-daemon
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Conflicts:  qubes-core-dom0 < 4.1.12
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-daemon.desktop
%config /etc/xdg/autostart/qvm-start-daemon-kde.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin


%changelog
* Tue Aug 11 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client.git

* Tue Aug 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d8cb35b
- version 4.1.8

* Tue Aug 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7425a53
- Cleanup Admin API denial reporting

* Fri Aug 07 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c75aeb4
- backup/restore: make error reporting work also for StandaloneVM based DispVM

* Wed Aug 05 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 4a6b5db
- qvm-run will unpause paused VMs by defaults

* Wed Aug 05 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 37f0641
- Added more resilience to missing permissions to utils

* Wed Aug 05 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1660a1c
- backup/restore: better error detection for --paranoid-mode

* Wed Aug 05 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0c73e83
- doc: document 'tag-created-vm-with' feature

* Wed Aug 05 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 852b689
- tests: add paranoid backup restore unit tests

* Wed Aug 05 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bf7b622
- tests: remove extra empty lines

* Wed Aug 05 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7fb90e0
- tests: extend run_service mockup for pre-recorded output

* Wed Aug 05 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 889e606
- rpm: add BR: python3-lxml and python3-xcffib

* Wed Aug 05 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7d6cb65
- backup/restore: add option for unattended restore and extracting log

* Tue Aug 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f16f14b
- utils: fix encoding '+' for qubes.VMExec

* Tue Aug 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e9120e3
- tools: remove obsolete _want_app argument

* Tue Aug 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cc71dd5
- Add "paranoid restore" mode

* Tue Aug 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2089e9e
- rpm/deb: add dependency on scrypt

* Tue Aug 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 81559d1
- utils: add simple locking primitive

* Tue Aug 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6338b93
- backup/restore: use qfile-unpacker in a VM, request disk space monitoring

* Tue Aug 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - db1d4b5
- backup/restore: option for alternative qrexec service

* Tue Aug 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 114f6fb
- backup/restore: improve error message about restoring tags

* Tue Aug 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2b6b4e7
- backup/restore: distinguish dom0 by name

* Mon Aug 03 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b7eca97
- tests: use asynctest some more

* Mon Aug 03 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3e1d36f
- travis: use sourced config, switch to R4.1

* Wed Jul 29 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 624e4e3
- Add qubes-guivm-session utility

* Wed Jul 29 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - c6be7ca
- qvm-start-daemon: allow --watch without --all

* Wed Jul 29 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - cb7f191
- qvm-start-daemon: convert to async/await syntax

* Wed Jul 29 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a078e1f
- Make Label() object hashable

* Thu Jul 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 60d28dc
- doc: document qvm-start-daemon --force, --kde

* Thu Jul 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - af1c1e5
- tests: update for admin.vm.volume.Clear usage in qvm-template-postprocess

* Wed Jul 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 96a3402
- version 4.1.7

* Wed Jul 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6182c5c
- rpm/deb: require new enough qubes-gui-daemon

* Wed Jul 15 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 1446a6d
- Added dynamic X keyboard event monitoring to qvm_start_daemon.py

* Wed Jul 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f33580
- Wrap too long line

* Tue Jul 14 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 9377add
- Fixed inconsistent firewall address checking

* Tue Jul 14 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 45a28c2
- Fix VM validity check for cached VM objects

* Mon Jul 13 2020 WillyPillow <wp@nerde.pw> - 455542a
- Add admin.vm.volume.Clear call (QubesOS/qubes-issues#5946)

* Thu Jul 09 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 1a4cdba
- Added better __eq__ method to Label class

* Mon Jun 29 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 7616a89
- Clean up the guid-conf file on domain stop

* Mon Jun 29 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 3540f04
- Generate qubes-guid options based on features

* Fri Jun 26 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f89c4ca
- qvm-start-daemon: common_guid_args is now a staticmethod

* Fri Jun 26 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6295b0b
- tests: kde_args are passed with property of launcher

* Wed Jun 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e23c85e
- Fix missing semi-colon and new line

* Wed Jun 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 92e87b1
- Handle KDE with specific arg/desktop file

* Tue Jun 16 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 539d1d9
- Makefile: add clean of pkgs and debian changelog.*

* Tue Jun 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9d6b725
- tools/qvm-start-daemon: reduce required permissions to sys-gui itself

* Tue Jun 16 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1d358c8
- debian: add guivm related content

* Sun May 31 2020 Dmitry Fedorov <d.fedorov@tabit.pro> - d99045f
- use function to determine pacat domid

* Fri May 29 2020 Dmitry Fedorov <d.fedorov@tabit.pro> - ec90829
- connect to PA in stubdom if audio-model enabled run pacat in low latency mode by default

* Sun May 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a5ffc88
- version 4.1.6

* Sun May 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 25b23db
- rpm: ensure matching qubesd socket protocol version

